### Enumeration

# Gtk CellRendererMode

since: 4.0

#### Declaration

    enum Gtk.CellRendererMode

#### Description [src]

Identifies how the user can interact with a particular cell.

Available since: 4.0

#### Members

`GTK_CELL_RENDERER_MODE_INERT`

  The cell is just for display and cannot be interacted with. Note that this doesn’t mean that eg. the row being drawn can’t be selected — just that a particular element of it cannot be individually modified.

  - Value: `0`
  - Nickname: `inert`
  - Available since: 4.0
`GTK_CELL_RENDERER_MODE_ACTIVATABLE`

  The cell can be clicked.

  - Value: `1`
  - Nickname: `activatable`
  - Available since: 4.0
`GTK_CELL_RENDERER_MODE_EDITABLE`

  The cell can be edited or otherwise modified.

  - Value: `2`
  - Nickname: `editable`
  - Available since: 4.0